Bug 210787 - (pear-XML-Serializer) Review Request: php-pear-XML-Serializer - Swiss-army knife for reading and writing XML files
Review Request: php-pear-XML-Serializer - Swiss-army knife for reading and wr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: pear-XML-Util
Blocks: FE-ACCEPT pear-Date-Holidays
  Show dependency treegraph
 
Reported: 2006-10-14 20:47 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 17:57:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-14 20:47:37 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-Serializer.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-Serializer-0.18.0-1.src.rpm

Description:
XML_Serializer serializes complex data structures like arrays or object as
XML documents. This class helps you generating any XML document you require
without the need for DOM.
Comment 1 Jason Tibbitts 2006-10-16 17:38:05 EDT
I have php-pear-XML-Util in a local repo in order to build this.

I wonder if what's installed into /usr/share/pear/data/XML_Serializer/doc
shouldn't be %doc instead.

* source files match upstream:
   f9d7dd792a7b3258dfa4544017734cf8  XML_Serializer-0.18.0.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(XML_Serializer) = 0.18.0
   php-pear-XML-Serializer = 0.18.0-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php-pear(PEAR)
   php-pear(XML_Parser)
   php-pear(XML_Util)
   php-xml

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation).
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Christopher Stone 2006-10-16 23:42:05 EDT
SPEC: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-Serializer.spec
SRPM:
http://tkmame.retrogames.com/fedora-extras/php-pear-XML-Serializer-0.18.0-2.src.rpm

%changelog
* Mon Oct 16 2006 Christopher Stone <chris.stone@gmail.com> 0.18.0-2
- Move the todo file in %%{pear_datadir} into %%doc

Comment 3 Jason Tibbitts 2006-10-25 23:34:52 EDT
OK, everything looks good.  And again, I apologize for taking so long with this.

APPROVED
Comment 4 Christopher Stone 2006-10-26 17:57:28 EDT
No problem, thanks for the review.
Comment 5 Christopher Stone 2007-04-21 13:50:59 EDT
Branch Package CVS Request
=======================
Package Name: php-pear-XML-Serializer
Short Description: Swiss-army knife for reading and writing XML files
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.